SDL_PremultiplySurfaceAlpha(3)

NAME
SDL_PremultiplySurfaceAlpha - Premultiply the alpha in a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_PremultiplySurfaceAlpha(SDL_Surface *surface, bool linear);

DESCRIPTION
This is safe to use with src == dst, but not for other overlapping areas.

FUNCTION PARAMETERS

surface
    the surface to modify.

linear
    true to convert from sRGB to linear space for the alpha multiplication, false to do multiplication in sRGB space.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.